<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.prolog.cs.biz.inbound.dao.rqc.RqcStMapper">
	<resultMap id="map" type="com.prolog.cs.biz.inbound.dto.rqc.RqcStDTO">
		<result column="rqc_st_id" property="rqcStId"/>
		<result column="enterprise_id" property="enterpriseId"/>
		<result column="mtl_owner_id" property="mtlOwnerId"/>
		<result column="warehouse_id" property="warehouseId"/>
		<result column="vendor_id" property="vendorId"/>
		<result column="st_name" property="stName"/>
		<result column="st_num" property="stNum"/>
		<result column="remark" property="remark"/>
		<result column="status" property="status"/>
		<result column="en_regexp" property="enRegexp"/>
		<result column="oc_regexp" property="ocRegexp"/>
		<result column="wh_regexp" property="whRegexp"/>
		<result column="regexp_des" property="regexpDes"/>
		<result column="gmt_create" property="gmtCreate"/>
		<result column="creator" property="creator"/>
		<result column="creator_name" property="creatorName"/>
		<result column="gmt_modified" property="gmtModified"/>
		<result column="modifier" property="modifier"/>
		<result column="modifier_name" property="modifierName"/>
		<result column="item_id" property="itemId"/>
		<result column="item_code" property="itemCode"/>
		<result column="item_name" property="itemName"/>
		<result column="item_category_code" property="itemCategoryCode"/>
		<result column="st_type" property="stType"/>
		<result column="attribute1" property="attribute1"/>
		<result column="attribute2" property="attribute2"/>
		<result column="attribute3" property="attribute3"/>
	</resultMap>
	<sql id="mainClomuns" >
		t1.rqc_st_id,
		t1.enterprise_id,
		t1.mtl_owner_id,
		t1.warehouse_id,
		t1.vendor_id,
		t1.st_name,
		t1.st_num,
		t1.remark,
		t1.status,
		t1.en_regexp,
		t1.oc_regexp,
		t1.wh_regexp,
		t1.regexp_des,
		t1.gmt_create,
		t1.creator,
		t1.creator_name,
		t1.gmt_modified,
		t1.modifier,
		t1.modifier_name,
		t1.item_id,
		t1.item_code,
		t1.item_name,
		t1.item_category_code,
		t1.st_type,
		t1.attribute1,
		t1.attribute2,
		t1.attribute3,
	</sql>
</mapper>
